Package org.opensaml.xmlsec.signature.support

# Interface ConfigurableContentReference

All Superinterfaces:
  `ContentReference`

All Known Implementing Classes:
  `DocumentInternalIDContentReference`, `SAMLObjectContentReference`, `URIContentReference`

public interface ConfigurableContentReference extends ContentReference
A specialization of `ContentReference` which allows some signature reference properties to be specified.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDigestAlgorithm()`
Gets the algorithm used to digest the content.
`void`
`setDigestAlgorithm(String newAlgorithm)`
Sets the algorithm used to digest the content.

### Methods inherited from interface org.opensaml.xmlsec.signature.support.ContentReference

`createReference`

## Method Details

### getDigestAlgorithm

@Nullable String getDigestAlgorithm()
Gets the algorithm used to digest the content.

Returns:
  the algorithm used to digest the content

### setDigestAlgorithm

void setDigestAlgorithm(@Nullable String newAlgorithm)
Sets the algorithm used to digest the content.

Parameters:
  `newAlgorithm` - the algorithm used to digest the content